%global momorel 5

%global tcpdump_ver	3.8.3
%global tcpdump_dir	tcpdump-%{tcpdump_ver}
%global libpcap_ver	0.8.3
%global libpcap_rel	2
%global	libpcap_dir	libpcap-%{libpcap_ver}
%global arpwatch_ver	2.1a13
%global arpwatch_rel	5
%global	arpwatch_dir	arpwatch-%{arpwatch_ver}

Summary: A network traffic monitoring tool.
Name: tcpdump
Version: %{tcpdump_ver}
Release: %{momorel}m
License: BSD
Group: Applications/Internet
Source0: http://www.tcpdump.org/release/%{name}-%{tcpdump_ver}.tar.gz
Source1: http://www.tcpdump.org/release/libpcap-%{libpcap_ver}.tar.gz
Source2: ftp://ftp.ee.lbl.gov/arpwatch-%{arpwatch_ver}.tar.gz
Source3: arpwatch.init
Patch: libpcap-0.6.2-dynamic.patch
# http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=52654
Patch2: libpcap-0.7.2-purge.patch
Patch23: tcpdump-3.6.1-iphl.patch
Patch26: tcpdump-openssl-0.9.7a.patch
Patch27: tcpdump-3.7.2-include-order.patch
Patch28: tcpdump-3.8.3-gcc34.patch
URL: http://www.tcpdump.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kernel-headers >= 2.2.0
BuildRequires: momonga-rpmmacros >= 20040310-6m
BuildPreReq: openssl-devel >= 0.9.6
BuildPreReq: glibc-devel >= 2.2.5-12k
Requires: kernel >= 2.2.0
NoSource: 0
NoSource: 1
NoSource: 2

%description
Tcpdump is a command-line tool for monitoring network traffic.  Tcpdump
can capture and display the packet headers on a particular network
interface or on all interfaces.  Tcpdump can display all of the packet
headers, or just the ones that match particular criteria.

Install tcpdump if you need a program to monitor network traffic.

%package -n libpcap
Version: %{libpcap_ver}
Release: %{libpcap_rel}m
Summary: A system-independent interface for user-level packet capture.
Group: Development/Libraries
Requires: kernel >= 2.2.0

%description -n libpcap
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

Install libpcap if you need to do low-level network traffic monitoring on
your network.

%package -n arpwatch
Version: %{arpwatch_ver}
Release: %{arpwatch_rel}m
%define	arpwatch_dir	arpwatch-%{arpwatch_ver}
Summary: Network monitoring tools for tracking IP addresses on a network.
Group: Applications/System

%description -n arpwatch
The arpwatch package contains arpwatch and arpsnmp.  Arpwatch and arpsnmp
are both network monitoring tools.  Both utilities monitor Ethernet or
FDDI network traffic and build databases of Ethernet/IP address pairs,
and can report certain changes via email.

Install the arpwatch package if you need networking monitoring devices
which will automatically keep traffic of the IP addresses on your
network.

%prep
%setup -q -c -a 1 -a 2
cd %libpcap_dir
#%patch -p1 -b .dynamic
#%patch2 -p1 -b .purge
cd ../%tcpdump_dir
%patch23 -p1 -b .iphl
# %patch24 -p1 -b .afsprinting
# %patch25 -p1 -b .snaplen
%patch26 -p1
#%patch27 -p1
%patch28 -p1
cd ..

%build
cd %libpcap_dir
%if %{_ipv6}
%configure --enable-ipv6
%else
%configure --disable-ipv6
%endif
# make -f Makefile.autoconf
%make

cd ../%tcpdump_dir
#autoconf-old
%if %{_ipv6}
%configure --enable-ipv6
%else
%configure --disable-ipv6
%endif
# make -f Makefile.autoconf
%make

cd ../%arpwatch_dir
%configure
%make ARPDIR=/var/arpwatch

sed -e 's/-o bin -g bin / /g' Makefile > Makefile.$$
mv Makefile.$$ Makefile
cd ..

%install
rm -rf %{buildroot}

install -m 0755 -d %{buildroot}/usr/{include/pcap/net,lib,sbin}
install -m 0755 -d %{buildroot}%{_mandir}/{man3,man8}

cd %libpcap_dir
# make -f Makefile.autoconf \
make \
	DESTDIR=%{buildroot} \
	includedir=/usr/include/pcap \
	install
cd ..

cd %tcpdump_dir
install -m 0550 -s tcpdump %{buildroot}/usr/sbin
install -m 0644 tcpdump.1 %{buildroot}%{_mandir}/man8/tcpdump.8
cd ..

cd %arpwatch_dir
make DESTDIR=%{buildroot} install install-man
mkdir -p %{buildroot}/var/arpwatch
for n in arp2ethers massagevendor; do
	install -m755 $n %{buildroot}/var/arpwatch
done
for n in *.awk *.dat; do
	install -m644 $n %{buildroot}/var/arpwatch
done
( cd %{buildroot}
  mkdir -p .%{_initscriptdir}
  install -m755 $RPM_SOURCE_DIR/arpwatch.init .%{_initscriptdir}/arpwatch
)
cd ..

( cd %{buildroot}
  strip .%{_prefix}/sbin/* || :
)

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc %tcpdump_dir/{CHANGES,FILES,INSTALL,README,VERSION}
%{_sbindir}/tcpdump
%{_mandir}/man8/tcpdump.8*

%files -n libpcap
%defattr(-, root, root)
%doc %libpcap_dir/{CHANGES,FILES,README,VERSION}
%{_includedir}/pcap
%{_libdir}/libpcap.a
%{_mandir}/man3/pcap.3*

%files -n arpwatch
%defattr(-,root,root)
%doc    %arpwatch_dir/{README,CHANGES}
%{_sbindir}/arpwatch
%{_sbindir}/arpsnmp
%{_mandir}/man8/arpwatch.8*
%{_mandir}/man8/arpsnmp.8*
%{_initscriptdir}/arpwatch
%dir	/var/arpwatch
%config	/var/arpwatch/arp.dat
%config	/var/arpwatch/ethercodes.dat
/var/arpwatch/*.awk
/var/arpwatch/arp2ethers
/var/arpwatch/massagevendor

%changelog
* Tue Feb  1 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.8.3-5m)
- enable x86_64.

* Mon Oct 25 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.8.3-4m)
- add gcc34 patch

* Tue Jul 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.8.3-3m)
- delete %%define _ipv6		1
- add BuildRequires: momonga-rpmmacros >= 20040310-6m

* Sat Apr 10 2004 Toru Hoshina <t@momonga-linux.org>
- (3.8.3-2m)
- The release number is applied for all of sub packages, however all packages
  aren't always updated at the same time, so we need independent release
  number for each sub package, otherwise must use epoch...

* Wed Apr 7 2004 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (3.8.3-1m)
- update tcpdump to 3.8.3
- update libpcap to 0.8.3
- includes security fix. old patches are commented out.

* Thu Apr  1 2004 zunda <zunda at freeshell.org>
- (3.7.2-4m)
- arpwatch updated from 2.1a11 to 2.1a13

* Sun Jul 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.7.2-3m)
- rebuild against glibc-2.3.2                               

* Thu May  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.7.2-2m)
- fix include order in print-sctp.c
- remove INSTALL from %%files libpcap

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.7.2-1m)
  update to tcpdump 3.7.2 and libpcap 0.7.2

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.6.2-21m)
  rebuild against openssl 0.9.7a

* Thu Jun  6 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.6.2-20k)
  security fix. http://online.securityfocus.com/bid/4890
  
* Fri May 17 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.6.2-18k)
- rebuild against glibc-2.2.5-12k

* Wed May 15 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.6.2-16k)
- remove Patch1(libpcap-0.6.2-ifaddrs.patch)

* Tue May 14 2002 Toru Hoshina <t@kondara.org>
- (3.6.2-14k)
- security fix. jitterbug/1055
- ipv6 enabled at this time, but getifaddrs doesn't work, FIXME...

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.6.2-10k)
- arpwatch update to 2.1a11

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- rebuild against openssl 0.9.6.

* Fri Apr 13 2001 Shingo Akagaki <dora@kondara.org>
- /etc/rc.d/init.d -> /etc/init.d

* Tue Mar  6 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.6.2-4k)
- errase IPv6 function with %{_ipv6} macro

* Fri Feb  9 2001 Kusunoki Masanori <nori@kondara.org>
- (3.6.2-3k)
- update to 3.6.2
- update libpcap to 0.6.2

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.6.1-7k)
- build against rpm-3.0.5-39k

* Thu Feb  1 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.6.1-5k)
- modified %files section

* Wed Jan 31 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.6.1-3k)
- update to 3.6.1
- update libpcap to 0.6.1

* Tue Nov 28 2000 Kenichi Matsubara <m@kondara.org>
- /etc/rc.d/init.d to %_initscriptdir}

* Fri Oct 20 2000 MATSUDA, Daiki <dyky@df-usa.com>
- update arpwatch 2.1a10
- modified spec file a little with macro

* Wed Jul 06 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Sat Feb 19 2000 Tsutomu Yasuda <tom@kondara.org>
- bug fix libpcap

* Tue Feb 1 2000 Masako Hattori <maru@kondara.org>
- update man-pages-ja-tcpdump-20000115

* Mon Jan 17 2000 Takaaki Tabuchi <tab@kondara.org>
- be able to rebuild non-root user.

* Sat Jan  8 2000 Kazuaki Yoshida <kazuaki@nifty.co.jp>
- 1st Release for "Kondara MNU/Linux".

* Tue Nov 30 1999 Masako Hattori <maru@kondara.org>
- add man-pages-ja-tcpdump-19991115
